# Fn<> View
Converts a given type into its view type.

Defined in | <seqan/basic.h>
Signature | `View<TObject>::Type;`

## Template Parameters

`TObject` | The type to be converted into a view type.

## Return Values

`Type` | The resulting view type.

## Detailed Description

This metafunction is used to convert device containers into views of device containers. Subsequently, the view of a device container can be safely passed to and used in device space. On the host, a view of a String is equivalent to an Infix of the complete string. RemoveView is the inverse of this metafunction.

## See Also

- Device
- Infix
- RemoveView

#### Dox Sources

    /*!
     * @mfn View
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Converts a given type into its view type.
     *
     * @signature View<TObject>::Type;
     *
     * @tparam TObject The type to be converted into a view type.
     *
     * @return Type The resulting view type.
     *
     * This metafunction is used to convert device containers into views of device
     * containers. Subsequently, the view of a device container can be safely passed
     * to and used in device space. On the host, a view of a @link String @endlink
     * is equivalent to an @link SegmentableConcept#Infix @endlink of the complete
     * string. @link RemoveView @endlink is the inverse of this metafunction.
     *
     * @see RemoveView
     * @see Device
     * @see SegmentableConcept#Infix
     */